Limerence
Embed

Get Embed Agent Csp

Get CSP configuration for embedding an agent

GET
/embed/{agentId}/csp

Get CSP configuration for embedding an agent

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

agentId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/embed/string/csp"
{  "frameAncestors": [    "string"  ]}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "embed/agent-not-found",    "detail": "The requested agent does not exist."  },  "message": "Agent not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}